Bug 203075

Summary: [Web Animations] Enable the Web Animations JavaScript API by default
Product: WebKit Reporter: Antoine Quint <graouts>
Component: AnimationsAssignee: Antoine Quint <graouts>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, dino, dvoytenko, fred.wang, ggaren, graouts, koivisto, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=203088
Attachments:
Description Flags
Patch none

Description Antoine Quint 2019-10-17 00:55:13 PDT
[Web Animations] Enable the Web Animations JavaScript API by default
Comment 1 Antoine Quint 2019-10-17 00:55:49 PDT
Created attachment 381175 [details]
Patch
Comment 2 Antti Koivisto 2019-10-17 07:48:25 PDT
Comment on attachment 381175 [details]
Patch

Yay!
Comment 3 WebKit Commit Bot 2019-10-17 09:24:56 PDT
Comment on attachment 381175 [details]
Patch

Clearing flags on attachment: 381175

Committed r251237: <https://trac.webkit.org/changeset/251237>
Comment 4 WebKit Commit Bot 2019-10-17 09:24:58 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-10-17 09:25:34 PDT
<rdar://problem/56372801>
Comment 6 Chris Dumez 2019-10-17 09:26:30 PDT
Comment on attachment 381175 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=381175&action=review

> Source/WebCore/page/RuntimeEnabledFeatures.h:408
> +    bool m_areWebAnimationsEnabled { true };

WebAnimation is not well-behaved when it comes to the back/forward cache and I do not think we should enable this until it is. We have a feature to make the back/forward cache work all the time and enabling this is a step backward.
Comment 7 Antoine Quint 2019-10-18 00:08:56 PDT
(In reply to Chris Dumez from comment #6)
> Comment on attachment 381175 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=381175&action=review
> 
> > Source/WebCore/page/RuntimeEnabledFeatures.h:408
> > +    bool m_areWebAnimationsEnabled { true };
> 
> WebAnimation is not well-behaved when it comes to the back/forward cache and
> I do not think we should enable this until it is. We have a feature to make
> the back/forward cache work all the time and enabling this is a step
> backward.

This is tracked by 203088.
Comment 8 Geoffrey Garen 2019-10-18 14:39:42 PDT
Antoine, does that mean that you intend to fix bug 203088 soon? If so, how soon?
Comment 9 Antoine Quint 2019-10-19 07:32:41 PDT
I do intend to fix it soon. I'm busy working on a performance regression with the "CSS Animations via Web Animations" flag (rdar://56017038), and as soon as I'm done with this, I will work on it.
Comment 10 Dima Voytenko 2020-03-25 16:05:01 PDT
Could you please confirm the status of Web Animations? All the relevant issues seem to be RESOLVED FIXED, and I can even find some blog posts on the feature. But I'm still not seeing it enabled in the latest desktop Safari.
Comment 11 Antoine Quint 2020-03-26 04:25:41 PDT
(In reply to Dima Voytenko from comment #10)
> Could you please confirm the status of Web Animations? All the relevant
> issues seem to be RESOLVED FIXED, and I can even find some blog posts on the
> feature. But I'm still not seeing it enabled in the latest desktop Safari.

Web Animations has been enabled for the first time in a shipping version of Safari this week with Safari 13.1 for macOS Catalina 10.15.4. There is also a newer version of Safari 12 for macOS High Sierra and macOS Mojave, but I'm not sure what the version number is.

If you have the latest and greatest shipping Safari but somehow Web Animations is still disabled, you most likely disabled it manually yourself under Develop > Experimental Features. You can reset all of those flags using the "Reset All to Defaults" item at the bottom of the experimental features menu.